<?php

namespace Params\Param\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ParamsTransformer extends TransformerAbstract
{
    public function transform(\Params\Param\Models\Params $params)
    {
        return [
            'id'                => $params->getRouteKey(),
            'key'               => [
                'public'    => $params->getPublicKey(),
                'route'     => $params->getRouteKey(),
            ], 
            'key'               => $params->key,
            'value'             => $params->value,
            'url'               => [
                'public'    => trans_url('param/'.$params->getPublicKey()),
                'user'      => guard_url('param/params/'.$params->getRouteKey()),
            ], 
            'status'            => trans('app.'.$params->status),
            'created_at'        => format_date($params->created_at),
            'updated_at'        => format_date($params->updated_at),
        ];
    }
}